package com.ifish.service;

import com.ifish.dto.JsonResult;
import com.ifish.dto.PageingDto;
import com.ifish.validator.PageParam;

/**
 * 优惠券
 * @author Administrator
 *
 */
public interface CouponService {

	/**
	 * 获取所有可兑换优惠券
	 * @return
	 */
	JsonResult<?> getAllValidCoupon();
	/**
	 * 兑换优惠券
	 * @param userId
	 * @param couponId
	 * @return
	 */
	JsonResult<?> exchangeCoupon(Integer userId,Integer couponId);
	/**
	 * 分页获取兑换记录
	 * @param param
	 * @return
	 */
	PageingDto<?> getCouponRecordByPage(PageParam param);

}
